
Installer - Feature #36090

Support removal of REX cockpit plugin

02/13/2023 05:29 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases: 3.9.0

Triaged: No Found in Releases:  

Bugzilla link: 2168503 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/1111,

https://github.com/theforeman/foreman-d

ocumentation/pull/2660

  

Description

Today it's only possible to ensure it's present, but we can automate removal too.

Associated revisions

Revision caa11707 - 11/07/2023 12:42 PM - Ewoud Kohl van Wijngaarden

Refs #36090 - Support plugins are absent

This makes it possible to remove plugins, even though we don't deal with

the database.

Revision ccf4e324 - 11/07/2023 12:42 PM - Ewoud Kohl van Wijngaarden

Fixes #36090 - Support REX cockpit removal

This doesn't deal with the database, but cockpit is a special plugin in

that it's a subpackage of the regular Remote Execution plugin.

By default it uses undef so you can still set the version globally as

well.

History

#1 - 02/13/2023 05:59 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman/pull/1111 added

#2 - 11/07/2023 12:42 PM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#3 - 11/07/2023 01:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|ccf4e324c9c635a4bf1b7abe941f41c0b283e665.

#4 - 01/10/2024 01:02 PM - Ewoud Kohl van Wijngaarden

This implements the --foreman-plugin-remote-execution-cockpit-ensure=absent installer option.

#5 - 01/10/2024 02:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-documentation/pull/2660 added
